This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476916 - jetty to EPEL el5
jetty to EPEL el5
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: jetty (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 17:53 EST by Jarkko
Modified: 2010-05-04 02:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 02:02:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarkko 2008-12-17 17:53:30 EST
This is not a bug, but a humble request. :)

Could you please consider publishing jetty to the EPEL el5 repository too?
Comment 1 Bug Zapper 2009-06-09 06:17:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 08:32:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeff Johnston 2010-05-03 18:34:24 EDT
(In reply to comment #0)
> This is not a bug, but a humble request. :)
> 
> Could you please consider publishing jetty to the EPEL el5 repository too?    

I personally won't be putting jetty into EPEL5 as it has had a number of security issues in the past (both jetty5 and jetty6) and there may be more discovered in the future. 

I do not have the time to devote to it considering it could require back-ported solutions to alleviate serious security problems that are only solved in latest release. For example, an issue may be discovered in latest release jettyx and the fix may not back-port easily to the jetty level in EPEL5.  Upgrading the older release may not be an option if certain RHEL packages at required levels don't exist or are considered stable and not to be upgraded.  It is a potential can of worms waiting to happen.

With Fedora, there is a lot more flexibility since the package and its requirements can much easier be updated to current level so security fixes are simple to obtain and apply.

Note You need to log in before you can comment on or make changes to this bug.